<?php
if(isset($_POST['filename']))
{
    $filename = "images/saved/".$_POST['filename'];
    if(file_exists($filename)){
        $response = file_get_contents($filename);
        echo $response;
    }
    else{
       echo 'Нет такого файла.';
    }
}
?>